HEARTBEAT(8)

NAME
heartbeat - Heartbeat subsystem for High-Availability Linux

DESCRIPTION

heartbeat is a basic heartbeat subsystem for Linux-HA. It will run scripts at initialisation, and when machines go up or down. This version will also perform IP address takeover using gratuitous ARPs. It works correctly for a 2-node configuration, and is extensible to larger configurations.

It implements the following kinds of heartbeats:

    • UDP/IP v4 broadcast;

    • UDP/IP v4/v6 multicast;

    • UDP/IP v4/v6 unicast;

    • Even such exotic protocols as TIPC or RDS.

    • Bidirectional Serial Rings ("raw" serial ports) — this type is deprecated and should no longer be used;

    • special "ping" heartbeats for routers, etc. — this type has been superseded by functionality in pacemaker() and should no longer be used.

Comprehensive documentation on heartbeat is available in the Heartbeat User's Guide. If this documentation is not installed on your system, it can be found at http://linux-ha.org/.

OPTIONS

The following options are supported by heartbeat:

-d
    Increment debugging level. Higher levels are more verbose.

-r
    Reload heartbeat. This option is functionally identical to sending a running heartbeat process a HUP signal. If the configuration has not changed, then this option is essentially a no-op. If ha.cf(5) or authkeys(5) has changed, then heartbeat will re-read these files and update its configuration.

    This option may not be used together with -R.

-k
    Kill (stop) heartbeat.

-s
    Report heartbeat status.

-R
    Heartbeat restart exec flag (internal use only). May not be used with -r.

-C
    Heartbeat current resource state for restart (internal use only). Only valid with -R.

-V
    Print out heartbeat version.

Note that most of these options are used for supporting the heartbeat init script, which provides the conventional start, stop, status and restart options (among others). It is recommended to use this rather than invoking the heartbeat command directly.

SEE ALSO

ha.cf(5), authkeys(5)

AUTHORS

Alan Robertson <alanr@unix.sh>
    heartbeat

Lars Ellenberg <lars.ellenberg@linbit.com>
    Heartbeat Maintainer; code fixes; documentation updates

Juan Pedro Paredes Caballero <juampe@retemail.es>
    man page

Simon Horman <horms@verge.net.au>
    man page

Florian Haas <florian.haas@linbit.com>
    man page